﻿namespace TestProject;

/// <summary>
/// 그래픽스 그리기 가능형
/// </summary>
public class GraphicsDrawable : IDrawable
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 그리기 - Draw(canvas, dirtyRectangle)

    /// <summary>
    /// 그리기
    /// </summary>
    /// <param name="canvas">캔버스</param>
    /// <param name="dirtyRectangle">더티 사각형</param>
    public void Draw(ICanvas canvas, RectF dirtyRectangle)
    {
        canvas.Rotate(45, dirtyRectangle.Center.X, dirtyRectangle.Center.Y);

        canvas.FillColor = Colors.Yellow;

        canvas.FillRectangle(dirtyRectangle);

        canvas.FontSize  = 36;
        canvas.FontColor = Colors.Blue;

        canvas.FillColor = Colors.Blue;

        canvas.FillCircle(0, 0, 3);

        canvas.DrawString(".NET MAUI", 150, 150, HorizontalAlignment.Left);
    }

    #endregion
}